var pageii = null;

var $table;
var el = {
    addEditDialog: null,
    searchForm: '#searchForm',
    tb: '#tb',
    bodyHeight: document.documentElement.clientHeight,
};
/**
 * 用于存放按钮对应的状态数组
 */
var buttonStatus = [];
/**
 * 用于存放按钮详情
 */
var buttonDetail;
$(function () {
    initDict('problem_source')
    loadGrid();
    //loadButton();
});

// function loadButton() {
//     var url = '/resources/user/buttons.do';
//     $.ajax({
//         url: url,
//         method: "post",
//         success: function (data) {
//             buttonDetail = data;
//             for (var role = 0; role < data.length; role++) {
//                 if (data[role].resKey == 'deal_with') {
//                     buttonStatus.push(data[role].description);
//                 }
//             }
//             loadGrid();
//         },
//         error: function (data) {
//             console.log(data);
//             alert(data);
//         }
//     });
// }

function loadGrid() {
    let searchHeight = $(el.searchForm).outerHeight();
    $('#tb').datagrid({
        iconCls: 'icon-list',
        title: '',
        height: el.bodyHeight - searchHeight,
        width: gridwidth,
        url: g.ctx + 'pc/spe/qualityManage/examineQualityManage/rest/findByPage',
        singleSelect: true,
        pagination: true,
        idField: 'id',
        autoHeight: true,
        loadMsg: "数据加载中......",
        rownumbers: true,
        fitColumns: false,
        remoteSort: true,
        page: 1,
        pageSize: 10,
        queryParams: {
            page: 1,
            rows: 10,
            buttonStatus: buttonStatus.join(',')
        },
        // onLoadSuccess: function () {
        //     console.log(buttonStatus);
        //     easyToolbarInit();//根据权限显示/隐藏 toolbar按钮
        // },
        columns: [[
            {
                field: 'ck',
                checkbox: true
            },
            {
                field: 'id',
                title: 'id',
                hidden: true
            },
            {
                field: 'status',
                title: '数据状态',
                width: '200',
                align: 'left',
                formatter: function (value, row, index) {
                    //数据状态 0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待SQE审批 11:已结案
                    if (value == 0) {
                        return '<span style="color:green">新建</span>';
                    } else if (value == 1) {
                        return '<span style="color:blue">发布</span>';
                    } else if (value == 2) {
                        return '<span style="color:blue">供方待确认</span>';
                    } else if (value == 3) {
                        return '<span style="color:blue">待复核</span>';
                    } else if (value == 4) {
                        return '<span style="color:blue">待供应商回复</span>';
                    } else if (value == 5) {
                        return '<span style="color:red">审批拒绝，待重新提交改善计划</span>';
                    } else if (value == 6) {
                        return '<span style="color:green">待主管审批</span>';
                    }else if (value == 7) {
                        return '<span style="color:red">审批拒绝，待重新提交改善计划</span>';
                    }else if (value == 8) {
                        return '<span style="color:green">待经理审批</span>';
                    }else if (value == 9) {
                        return '<span style="color:red">审批拒绝，待重新提交改善计划</span>';
                    }else if (value == 10) {
                        return '<span style="color:green">待SQE审批</span>';
                    }else if (value == 12) {
                        return '<span style="color:green">待SQE初审</span>';
                    }
                }

            },
            {
                field: 'followingStatus',
                title: '跟踪状态',
                width: 80,
                sortable: true,
                formatter: function (value) {
                    switch (Number(value)) {
                        case 1:
                            return '<span>跟踪</span>';
                        case 2:
                            return '<span>关闭</span>';
                        default:
                            return '';
                    }
                }
            },
            {
                field : 'mergeConfirmFlag',
                title : '归并状态',
                width : '100',
                align : 'left',
                hidden: true,
                formatter:function (value,row,index) {
                    if(value ==0){
                        return '<span style="color:grey">未归并</span>';
                    }else if(value ==1){
                        return '<span style="color:blue">归并待确认</span>';
                    }else if(value ==2){
                        return '<span style="color:green">归并已确认</span>';
                    }else if(value ==3){
                        return '<span style="color:red">归并移除</span>';
                    }
                }

            },
            {
                field: 'createUserName',
                title: '发起人',
                width: '6%',
                //hidden:true,
                align: 'left'
            },

            {
                field: 'noticeOrderCode',
                title: '流水号',
                width: '10%',
                align: 'left'

            },
            {
                field: 'sapBatchNum',
                title: 'SAP批次号',
                width: '6%',
                align: 'left'

            },

            {
                field: 'materialName',
                title: '物料名称',
                width: '20%',
                align: 'left'
            },
            {
                field: 'materialCode',
                title: '物料编码',
                width: '6%',
                align: 'left'
            },

            {
                field: 'supplierName',
                title: '供应商名称',
                width: '10%',
                align: 'left'
            },
            {
                field: 'supplierCode',
                title: '供应商编码',
                width: '10%',
                align: 'left'
            },
            {
                field: 'partNum',
                title: '供方型号',
                width: '6%',
                align: 'left'
            },
            {
                field: 'badReasonName',
                title: '不合格原因',
                width: '10%',
                align: 'left'
            },
            // {
            //     field: 'mergeFlag',
            //     title: '归并状态',
            //     width: 100,
            //     // hidden: true,
            //     formatter: function (value) {
            //         switch (value){
            //             case 0:
            //                 return '<span style="color:grey">未归并</span>';
            //             case 1:
            //                 return '<span style="color:blue">父级</span>';
            //             case 2:
            //                 return '<span style="color:blue">子级</span>';
            //             default:
            //                 return '未归并';
            //         }
            //     }
            // },
            {
                field: 'badNum',
                title: '不合格数量',
                width: '5%',
                align: 'left'
            },
            {
                field: 'badRemark',
                title: '不合格描述',
                width: '6%',
                align: 'left'

            },
            {
                field: 'allStr',
                title: '进度',
                width: '100',
                align: 'left',
                formatter: function (value, row, index) {
                    return '<span style="color:blue">'+row.closeStr+'/'+row.allStr+'</span>';
                }

            },
            {
                field: 'batchNum',
                title: '检验批数量',
                width: '5%',
                align: 'left'
            },
            {
                field: 'problemSource',
                title: '问题来源',
                width: '10%',
                align: 'left',
                exportEnum:getDictList('problem_source'),
                formatter: function (value) {
                    return getDicName('problem_source',value);
                }
                // formatter: function (value, row, index) {
                //     if (value == 1) {
                //         return '供应商';
                //     } else if (value == 2) {
                //         return '来料';
                //     } else if (value == 3) {
                //         return '复检物料';
                //     } else if (value == 4) {
                //         return '在线';
                //     } else if (value == 5) {
                //         return '客退';
                //     }
                // }
            },
            {
                field: 'mesInspectOrder',
                title: '送检单号',
                width: '8%',
                align: 'left'

            },
            {
                field: 'bpmCode',
                title: 'BPM流水号',
                width: '8%',
                align: 'left'
            },
            {
                field: 'materialUseDeptName',
                title: '物料使用部门',
                width: '10%',
                align: 'left'
            },
            {
                field: 'createTime',
                title: '发起时间',
                width: '15%',
                align: 'left',
                formatter: function (date) {
                    if (date == '' || date == null || date == undefined)
                        return '';

                    return DateFormatMs(date)
                }
            },
            {
                field: 'surveyFlag',
                title: '是否推送质量案例',
                width: '15%',
                align: 'left',
                formatter: function (value, row, index) {
                    if (value == 1) {
                        return '是';
                    } else {
                        return '否';
                    }
                }
            }]],
        toolbar: [
            "-", {
                text: '复核',
                id: 'review',
                iconCls: 'icon-plan-copy',
                hide: true,
                handler: function () {
                    review1();
                }
            },
            "-", {
                text: '初审',
                iconCls: 'icon-plan-move',
                hide: true,
                handler: function () {
                    examination(1);
                }
            },
            "-", {
                text: '待主管审批',
                iconCls: 'icon-storage-move',
                hide: true,
                handler: function () {
                    supervisorApproval1();
                }
            },
            "-", {
                text: '待经理审批',
                iconCls: 'icon-storage-move',
                hide: true,
                handler: function () {
                    managerApproval1();
                }
            },
            "-", {
                text: '跟踪',
                iconCls: 'icon-plan-move',
                hide: true,
                handler: function () {
                    track1();
                }
            },
            "-", {
                text: '确认',
                iconCls: 'icon-accept',
                hide: true,
                handler: function () {
                    confirm1();
                }
            },
            "-", {
                text: '归并确认',
                iconCls: 'icon-accept',
                handler: function () {
                    mergeConfirm1();
                }
            },
            "-",
            {
                id: 'btn_offline_use',
                text: '跟踪关闭',
                iconCls: 'icon-remove',
                handler: function () {
                    following(2);
                }
            },
            "-",{
                text : '查看',
                iconCls : 'icon-book',
                handler : function() {
                    look1();
                }
            }
        ],
        onCheck: function (rowIndex, field, value) {
            var rows = $('#tb').datagrid('getRows');
            var flag = rows[rowIndex].status;
            var merge_confirm_flag = rows[rowIndex].merge_confirm_flag;
            //复核；初审；待主管审批；待经理审批；跟踪；确认；归并确认
            if (merge_confirm_flag == 1) { //归并确认标识；0-未归并；1-归并待确认；2-归并已确认；3-归并移除
                $('div.datagrid-toolbar a').eq(0).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('enable');
            } else if (flag == 0) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            } else if (flag == 1) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            } else if (flag == 2) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            } else if (flag == 3) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            } else if (flag == 4) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            } else if (flag == 12) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            } else if (flag == 5) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            } else if (flag == 6) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            } else if (flag == 7) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            }else if (flag == 8) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            }else if (flag == 9) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            }else if (flag == 10) { //0:新建 1:发布 2:供方待确认 3:待复核 4:待SQE初审 5:初审不同意 6:待主管审批 7:主管审批不同意 8:待经理审批 9:经理审批不同意 10:待跟踪 11:已结案
                $('div.datagrid-toolbar a').eq(0).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(1).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(4).linkbutton('enable');
                $('div.datagrid-toolbar a').eq(5).linkbutton('disable');
                $('div.datagrid-toolbar a').eq(6).linkbutton('disable');
            }

        },
        onClickCell: function (rowIndex, field, value) {
        }
    });
}

function easyToolbarInit() {
    //复核；初审；待主管审批；待经理审批；跟踪；确认；归并确认
    $('div.datagrid-toolbar a').eq(0).hide();
    $('div.datagrid-toolbar div').eq(0).hide();
    $('div.datagrid-toolbar a').eq(1).hide();
    $('div.datagrid-toolbar div').eq(1).hide();
    $('div.datagrid-toolbar a').eq(2).hide();
    $('div.datagrid-toolbar div').eq(2).hide();
    $('div.datagrid-toolbar a').eq(3).hide();
    $('div.datagrid-toolbar div').eq(3).hide();
    $('div.datagrid-toolbar a').eq(4).hide();
    $('div.datagrid-toolbar div').eq(4).hide();
    $('div.datagrid-toolbar a').eq(5).hide();
    $('div.datagrid-toolbar div').eq(5).hide();
    for (var role = 0; role < buttonDetail.length; role++) {
        if (buttonDetail[role].resKey == 'deal_with') {
            buttonStatus.push(buttonDetail[role].description);
            if (buttonDetail[role].buttom == "review") {
                $('div.datagrid div.datagrid-toolbar a').eq(0).show();
            }
            if (buttonDetail[role].buttom == "examination") {
                $('div.datagrid-toolbar div').eq(1).show();
                $('div.datagrid div.datagrid-toolbar a').eq(1).show();
            }
            if (buttonDetail[role].buttom == "supervisor_approval") {
                $('div.datagrid-toolbar div').eq(2).show();
                $('div.datagrid div.datagrid-toolbar a').eq(2).show();
            }
            if (buttonDetail[role].buttom == "manager_approval") {
                $('div.datagrid-toolbar div').eq(3).show();
                $('div.datagrid div.datagrid-toolbar a').eq(3).show();
            }
            if (buttonDetail[role].buttom == "track") {
                $('div.datagrid-toolbar div').eq(4).show();
                $('div.datagrid div.datagrid-toolbar a').eq(4).show();
            }
            if (buttonDetail[role].buttom == "confirm") {
                $('div.datagrid-toolbar div').eq(5).show();
                $('div.datagrid div.datagrid-toolbar a').eq(5).show();
            }

        }
    }
}

/**
 * 跟踪关闭
 *
 * @param optType 1:跟踪 2:关闭
 */
function following(value) {
    var rows = $(el.tb).datagrid("getSelections");
    if (rows.length == 0) {
        topWin.layer.msg("请选择数据",{icon:0});
        return;
    }
    for(var i = 0; i < rows.length; i++){
        if (Number(value) === 2){
            if(Number(rows[i].followingStatus) !== 1) {
                topWin.layer.alert('只能操作未关闭的记录', {icon: 0});
                return false;
            }
        }
        // else {
        //     if (Number(rows[i].followingStatus) !== 2) {
        //         topWin.layer.alert('只能操作线下使用的记录', {icon: 0});
        //         return false;
        //     }
        // }
    }
    topWin.layer.confirm('是否确认更改数据状态?', function (index) {
        var loading = topWin.layer.msg('数据处理中, 请耐心等待......', {icon: 16, time: 0, shade: 0.1});
        $.ajax({
            url: '/pc/spe/qualityManage/launchedQualityManage/rest/following',
            method: "post",
            data: {
                id: rows[0].id,
                followingStatus:value
            },
            success: function () {
                topWin.layer.close(loading);
                topWin.layer.msg("操作成功",{icon:1});
                $(el.tb).datagrid('reload');
            },
            error: function (data) {
                topWin.layer.close(loading);
                topWin.layer.alert(data.responseJSON.message, {icon: 2});
            }
        });
        layer.close(index)
    })

}
//新建
function add() {
    openMainLayerWin(quality_title.quality_add_title, '/launchedQuality/addUI.do', "1000px", "70%");
}
//发布
function release() {
    var cbox = $('#tb').datagrid('getSelected');
    if (!cbox) {
        layer.msg("请选中一条记录");
        return;
    }
    topWin.layer.confirm('是否确认发布？', function (index) {
        var url = '/launchedQuality/release.do';
        $.ajax({
            url: url,
            method: "post",
            data: {id: cbox.id},
            success: function (data) {
                if (data == 0) {
                    $('#tb').datagrid('load');
                    layer.alert("发布成功!");
                    layer.close(index);
                } else {
                    layer.alert("发布失败!");
                }
            },
            error: function (data) {
                console.log(data);
                alert(data);
            }
        });
    });
}
//复核
function review() {
    var cbox = $('#tb').datagrid('getSelected');
    if (!cbox) {
        layer.msg("请选中一条记录");
        return;
    }
    openMainLayerWin(quality_title.review, '/handleQuality/reviewUI.do?id=' + cbox.id, "1000px", "80%");
    //如果归并
    // if (cbox.merge_flag!=0) {
    //     // openMainLayerWin("归并确认", '/handleQuality/mergeUI.do?id=' + cbox.id, "800px", "50%");
    //     var url = '/handleQuality/mergeUI.do?id=' + cbox.id;
    //     el.addEditDialog = openDialog('addEditPlan', url, {
    //         title: "归并确认",
    //         width: '800px',
    //         height: '50%',
    //         cache: false,
    //         modal: true,
    //         border: 'thin',
    //         onClose: function () {
    //             el.addEditDialog.dialog('destroy');
    //         },
    //         buttons: [{
    //             text: '同意',
    //             handler: function () {
    //                 el.addEditDialog.dialog('close');
    //                 openMainLayerWin(quality_title.review, '/handleQuality/reviewUI.do?id=' + cbox.id, "1000px", "80%");
    //             }
    //         }, {
    //             text: '拒绝',
    //             handler: function () {
    //                 parent.layer.confirm('拒绝归并将会解除归并数据，供应商需重新确认全部归并数据，是否继续？', function (index) {
    //                     $.ajax({
    //                         url: '/handleQuality/relieveMerge.do',
    //                         method: "post",
    //                         data: {id: cbox.id,merge_flag:cbox.merge_flag},
    //                         success: function (data) {
    //                             if (data == 0) {
    //                                 parent.layer.close(index);
    //                                 $('#tb').datagrid('load');
    //                                 parent.layer.alert("拒绝成功!");
    //                                 el.addEditDialog.dialog('close');
    //                             } else {
    //                                 layer.alert("拒绝失败!");
    //                             }
    //                         },
    //                         error: function (data) {
    //                             console.log(data);
    //                             alert(data);
    //                         }
    //                     });
    //                 });
    //                 // el.addEditDialog.dialog('close');
    //             }
    //         }]
    //     });
    // }else{
    //     openMainLayerWin(quality_title.review, '/handleQuality/reviewUI.do?id=' + cbox.id, "1000px", "80%");
    // }

}

/**
 * 初审
 */
// function examination(flag) {
//     var id= '';
//     if(flag===1){
//         var cbox = $('#tb').datagrid('getSelected');
//         if (cbox === null || cbox === undefined) {
//             layer.msg("请选中一条记录");
//             return;
//         }
//         id = cbox.id;
//         console.log(id)
//     }
//     var examineQualityManageDialog = openDialog('examineQualityManage', g.ctx + 'pc/spe/qualityManage/examineQualityManage/detail?id=' + cbox.id, {
//         title: flag===0?'新增':'编辑',
//         width: '700px',
//         height: '420px',
//         cache: false,
//         modal: true,
//         border: false,
//         draggable: false,
//         shadow: false,
//         onClose: function () {
//             examineQualityManageDialog.dialog('destroy');
//         },
//         buttons: [
//             {
//                 text: itablei8n.save,
//                 iconCls: 'icon-save',
//                 handler: function () {
//                     topWin.frames['examineQualityManage'].saveOrUpdate(function () {
//                         topWin.layer.msg('数据保存成功', {icon: 1});
//                         examineQualityManageDialog.dialog('close');
//                         $(el.tb).datagrid('reload');
//                     });
//                 }
//             },
//             {
//                 text: itablei8n.close,
//                 iconCls: 'icon-cancel',
//                 handler: function () {
//                     examineQualityManageDialog.dialog('close');
//                 }
//             }
//         ]
//     });
// }
/**
 * 供方确认
 */
function examination(flag) {
    var id= '';
    var rows = $('#tb').datagrid('getSelections');
    if(flag===1){
        var cbox = $('#tb').datagrid('getSelected');
        if (cbox === null || cbox === undefined) {
            layer.msg("请选中一条记录");
            return;
        }
        id = cbox.id;
    }
    console.log(888888888)
    console.log(id)
    var status = rows[0].status;
    var examineQualityManageDialog = openDialog('examineQualityManage', g.ctx + 'pc/spe/qualityManage/examineQualityManage/detail?id=' + id, {
        title: '初审',
        width: '900px',
        height: '700px',
        cache: false,
        modal: true,
        border: false,
        draggable: false,
        shadow: false,
        onClose: function () {
            examineQualityManageDialog.dialog('destroy');
        },
        buttons: [
            {
                text: itablei8n.save,
                iconCls: 'icon-save',
                handler: function () {
                    topWin.frames['examineQualityManage'].confirmRelease(function () {
                        topWin.layer.msg('数据保存成功', {icon: 1});
                        examineQualityManageDialog.dialog('close');
                        $(el.tb).datagrid('reload');
                    });
                }
            },
            {
                text: itablei8n.close,
                iconCls: 'icon-cancel',
                handler: function () {
                    examineQualityManageDialog.dialog('close');
                }
            }
        ]
    });
}
//初审
// function examination() {
//     var cbox = $('#tb').datagrid('getSelected');
//     if (!cbox) {
//         layer.msg("请选中一条记录");
//         return;
//     }
//     openMainLayerWin(quality_title.examination, 'pc/spe/qualityManage/examineQualityManage/detail?id=' + cbox.id, "1000px", "80%");
// }

//主管审批
function supervisorApproval() {
    var cbox = $('#tb').datagrid('getSelected');
    if (!cbox) {
        layer.msg("请选中一条记录");
        return;
    }
    openMainLayerWin(quality_title.examination, '/handleQuality/supervisorApprovalUI.do?id=' + cbox.id, "1000px", "80%");
}

//经理审批
function managerApproval() {
    var cbox = $('#tb').datagrid('getSelected');
    if (!cbox) {
        layer.msg("请选中一条记录");
        return;
    }
    openMainLayerWin(quality_title.examination, '/handleQuality/managerApprovalUI.do?id=' + cbox.id, "1000px", "80%");
}

//跟踪
function track() {
    var cbox = $('#tb').datagrid('getSelected');
    if (!cbox) {
        layer.msg("请选中一条记录");
        return;
    }
    openMainLayerWin(quality_title.track, '/handleQuality/trackUI.do?id=' + cbox.id, "1000px", "80%");
}

//确认
function confirm() {
    var cbox = $('#tb').datagrid('getSelected');
    if (!cbox) {
        layer.msg("请选中一条记录");
        return;
    }
    openMainLayerWin(quality_title.confirm, '/handleQuality/confirmUI.do?id=' + cbox.id, "1000px", "80%");
}

//归并确认
function mergeConfirm() {
    var cbox = $('#tb').datagrid('getSelected');
    if (!cbox) {
        layer.msg("请选中一条记录");
        return;
    }
    openMainLayerWin(quality_title.confirm, '/handleQuality/mergeUI.do?id=' + cbox.id, "800px", "50%");
}
//查看
function look() {
    var cbox = $('#tb').datagrid('getSelected');
    if (!cbox) {
        layer.msg("请选中一条记录");
        return;
    }
    openMainLayerWin(quality_title.look,'/launchedQuality/lookUI.do?id='+cbox.id,"1000px","80%");
}

